Skip to main content
DELETE
/
api
/
v0
/
team
/
members
/
{id}
remove team member
curl --request DELETE \
  --url https://console.vast.ai/api/v0/team/members/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.vast.ai/api/v0/team/members/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.vast.ai/api/v0/team/members/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "message": "User removed from the team."
}
{
  "msg": "Cannot remove the team owner from the team"
}
{
  "success": false,
  "error": "unauthorized",
  "msg": "Invalid or missing API key"
}
{
  "success": false,
  "error": "forbidden",
  "msg": "User is blacklisted"
}
{
  "status": "failure",
  "message": "No user was removed from the team."
}
{
  "success": false,
  "error": "rate_limit_exceeded",
  "msg": "API requests too frequent endpoint threshold=3.0"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

User ID of the team member to remove

Response

Member removed successfully

status
enum<string>
Available options:
success
Example:

"success"

message
string
Example:

"User removed from the team."